$nav-height: 46px;

@import 'colors.scss';

.nav {
    background: white;
    top: 0;
    width: 100%;
    position: fixed;
    border-bottom: 1px solid $color--border-primary;
    display: flex;
    align-items: center;
    padding: 0 20px;

    a {
        color: $color--base;
        display: flex;
        align-items: center;
        height: $nav-height;
        margin-right: 8px;
        padding: 0 12px;
        text-decoration: none;
    }

    .nav-inner {
        width: 100%;
    }
    .nav-container {
        display: flex;
        width: 100%;
        margin: 0;
        padding: 0;
    }
    .nav-right {
        margin: 0;
        margin-left: auto;
    }

    .nav-active {
        border-bottom: 3px solid $color--primary;
    }

    .nav-control {
        cursor: pointer;
        display: none;
        margin-left: auto;
        width: 28px;
        height: 28px;
        flex-direction: column;
        justify-content: space-around;
        transition: 0.5s;
        
        .bar {
            width: 100%;
            height: 3px;
            background: $color--primary;
            transition: 0.5s;
        }
    }

    @media all and (max-width: 800px) {
        .nav-control { 
            display: flex;
            &.nav-engaged {
                transform: rotate(360deg);
                .bar:nth-child(1) {
                    transform: rotate(45deg) translate(7px, 6px);
                }
                .bar:nth-child(2) {
                    opacity: 0;
                }
                .bar:nth-child(3) {
                    transform: rotate(-45deg) translate(7px, -6px);
                }
            }
        }
        .nav-inner {
            height: 100vh;
            transition: 0.5s;
            background: white;
            position: absolute;
            left: 0;
            right: 0;
            margin-left: 100%;
            top: $nav-height;
            &.nav-engaged {
                margin: 0;
            }
        }
        .nav-container {
            flex-direction: column;
            align-items: center;
            margin: 40px 0;
            .nav-right {
                margin: 0;
            }
        }
    }

    li {
        list-style: none;
    }
}

body {
    padding-top: $nav-height;
}

.logo {
    height: 40px;
}

.split {
    height: 100%;
    width: 1px;
    background: rgba(0, 0, 0, 0.8);
    margin: 0 auto;
}

.login {
    color: white;
    width: 225px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    &-facebook {
        border: 0;
        background: #3b5998;
        &:before {
            font-family: 'typicons';
            font-size: 2em;
            content: '\0e0e5';
            margin-right: 8px;
        }
    }
    &-google {
        background: #cf4332;
        border: 0;
        &:before {
            font-family: 'typicons';
            font-size: 2em;
            content: '\0e0eb';
            margin-right: 8px;
        }
    }
}

.bork-list {
    padding: 1em;
    .bork {
        list-style: none;
        margin-bottom: 16px;
    }
}

.bork-control {
    textarea {
        min-height: 100px;
    }
    input[type=submit] {
        align-self: flex-end;
    }
}

.media {
    display: flex;
    flex-direction: row;
    .media-left {
        margin-right: 1em;
    }
    .media-content {
        flex: 1;
    }
    .media-right {
        margin-left: 1em;
    }
}

.control {
    color: $color--control;
    font-size: 24px;
    cursor: pointer;
    *:hover {
        color: $color--control-active;
    }
}

.image-placeholder {
    background: $color--primary;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    &.image-64x64 {
        height: 64px;
        width: 64px;
    }
    &.image-128x128 {
        height: 128px;
        width: 128px;
    }
}


.profile {
    &.profile-wide {
        min-width: 480px;
        .profile-heading {
            margin: 8px 0;
            align-self: inherit;
        }
    }
}

.notice {
    position: absolute;
    top: 0;
    margin: 4px;
}

@keyframes loader-rotate {
    0% {
        transform: rotate(90deg);
    }
    25% {
        transform: rotate(180deg);
    }
    50% {
        transform: rotate(90deg);
    }
    75% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(90deg);
    }
}

@keyframes loader-anim-before {
  0%   { transform: translate(0, 0);      }
  50%  { transform: translate(0, 90px); }
  100% { transform: translate(0, 0); }
}


@keyframes loader-anim-after {
  0%   { transform: translate(0, 0);      }
  50%  { transform: translate(0, -90px); }
  100% { transform: translate(0, 0); }
}

.loader {
    display: inline-block;
    height: 100px;
    animation: 2s loader-rotate infinite linear;
}

.loader:before,
.loader:after {
    width: 10px;
    height: 10px;
    border-radius: 10px;
    content: "";
    display: block;
}

.loader:before {
    animation: 2s loader-anim-before infinite ease-in-out;
    background: $color--primary;
}

.loader:after {
    margin-top: 80px;
    animation: 2s loader-anim-after infinite ease-in-out;
    background: $color--primary;
}

/**
 * basic augments
 */
.card {
    padding: 30px;
    background: white;
    border: 1px solid $color--border-primary;
}

/**
 * complex augments
 */
.card-horizontal {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

/**
 * global colors
 */
a {
    color: $color--primary;
    text-decoration: none;
}

body {
    background: $color--background;
}

/**
 * prettify
 */

input[type=text],
input[type=password],
textarea {
    border-color: transparent;
    border: .1rem solid $color--border-primary;
    box-shadow: none;
    box-sizing: inherit;
    outline: 0;
    padding: 0.6rem 1.0rem;
    &:focus {
        border-color: $color--primary;
    }
}

button,
input[type=button],
input[type=submit] {
    background: $color--primary;
    color: white;
    line-height: 1.2em;
    outline: 0;
    border: 1px solid $color--primary;
    cursor: pointer;
    padding: 0 2em;
    height: 2em;
    line-height: 2em;
}

